package com.ruoyi.web.controller.info;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.UserInfo;
import com.ruoyi.system.service.IndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author: tjf
 * @Date: 2022/8/15 14:31
 * @Describe: 核酸校验平台后台首页统计
 */
@RestController
@RequestMapping("/index/info")
public class IndexController extends BaseController {

    @Autowired
    private IndexService indexService;

    /**
     * 查询导入人员信息列表
     */
    @GetMapping
    public AjaxResult list() {
        return indexService.getIndexData();
    }
}
